Get a category

get

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/category/{id}

Returns the category that matches the specified ID, including its configured details.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The category was returned successfully.
Body ()
Root Schema : CategoryOracle
Title: CategoryOracle
Match All
Show Source
  • Category
    Title: Category
    Discriminator: { "propertyName":"@type", "mapping":{ "Category":"#/components/schemas/Category", "CategoryOracle":"#/components/schemas/CategoryOracle" } }
    The category resource.
  • type
Nested Schema : Category
Type: object
Title: Category
Discriminator: @type

Discriminator Values

The category resource.
Show Source
Nested Schema : type
Type: object
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to get a category by submitting a GET request on the REST resource using cURL.

cURL Command

curl -u username:password -X GET https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/category/32000 \ -H 'Content-Type: application/json'

Example of Response Body

The following example shows the contents of the response body in JSON format.

{
    "id": "sc-3663970456-1739948122141",
    "name": "Linear",
    "description": "Linear",
    "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/category/sc-3663970456-1739948122141",
    "version": "1.0",
    "lifecycleStatus": "In design",
    "created": "2025-02-19T06:56:32.000Z",
    "createdBy": "booth",
    "lastUpdate": "2025-02-19T07:01:46.060Z",
    "lastUpdatedBy": "booth",
    "@type": "CategoryOracle",
    "validFor": {
        "startDateTime": "2025-02-19T07:01:45.407Z"
    },
    "project": {
        "id": "ini_prom45",
        "name": "ini_prom45",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/ini_prom45",
        "version": "1.0",
        "@referredType": "ProjectOracle",
        "@type": "ProjectRef"
    },
    "versionState": 0,
    "parent": [
        {
            "id": "88-4KXTX",
            "@referredType": "CategoryOracle",
            "@type": "CategoryRef"
        }
    ],
    "subCategory": [
        {
            "id": "sc-1628564045-1739948456946",
            "name": "Ful Page Scanner",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/category/sc-1628564045-1739948456946",
            "version": "1.0",
            "@referredType": "CategoryOracle",
            "@type": "CategoryRef"
        },
        {
            "id": "sc-106984183-1739948494484",
            "name": "Line Scanner",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/category/sc-106984183-1739948494484",
            "version": "1.0",
            "@referredType": "CategoryOracle",
            "@type": "CategoryRef"
        }
    ]
}
Back to Top